Skip to main content
POST
Add a webhook endpoint

Authorizations

Authorization
string
header
required

Project API key. Server-side only.

Path Parameters

projectId
string
required
Pattern: ^prj_[A-Za-z0-9]+$

Body

application/json
url
string<uri>
required
Pattern: ^https://
Example:

"https://courses.example.com/hooks/segmnt"

events
enum<string>[]
required
Minimum array length: 1
Available options:
video.ready,
video.failed,
video.held

Response

Endpoint added. signingSecret is shown only in this response.

id
string
required
Example:

"whe_5mJ8kV"

url
string<uri>
required
events
enum<string>[]
required
Available options:
video.ready,
video.failed,
video.held
createdAt
string<date-time>
required
signingSecret
string
required

Use it to check Segmnt-Signature.